Bug 122049 - [maintainer update] security/vlock v2.1 -> v2.2
Summary: [maintainer update] security/vlock v2.1 -> v2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-24 14:20 UTC by ganael.laplanche
Modified: 2008-03-30 06:10 UTC (History)
0 users

See Also:


Attachments
file.diff (7.44 KB, patch)
2008-03-24 14:20 UTC, ganael.laplanche
no flags Details | Diff
patch-script.c (627 bytes, text/x-csrc)
2008-03-26 11:07 UTC, ganael.laplanche
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2008-03-24 14:20:00 UTC
Updates vlock to v2.2

NOTES :
- Vlock is now modular, so an "option" screen has been added to provide the ability to enable/disable some modules.
- Vlock now uses a special group to allow users to use the 'new' module (AKA vlock -n), so please register this 'vlock' group as number 129 in GIDs (can be changed if necessary).

Fix: Patch attached with submission follows:
Comment 1 ganael.laplanche 2008-03-26 11:07:09 UTC
Hi again,

Here is an additional file to add to the files/ directory. It is a patch against
script.c to be able to successfully run a module script using vlock, e.g. :

vlock -n amarok

Without this script, we get the following error :

vlock: stdin is not a terminal

Best regards,

Ganaël LAPLANCHE
ganael.laplanche@martymac.com
http://www.martymac.com
Comment 2 Rong-En Fan freebsd_committer 2008-03-30 06:10:56 UTC
State Changed
From-To: open->closed

Superseded by 122230.